# Class PrinterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.print.PrinterException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PrinterAbortException, PrinterIOException`

public class PrinterException extends Exception
The `PrinterException` class and its subclasses are used to indicate that an exceptional condition has occurred in the print system.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrinterException()`
  Constructs a new `PrinterException` object without a detail message.
  `PrinterException(String msg)`
  Constructs a new `PrinterException` object with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrinterException

    public PrinterException()
    Constructs a new `PrinterException` object without a detail message.

  - ### PrinterException

    public PrinterException(String msg)
    Constructs a new `PrinterException` object with the specified detail message.
    Parameters:
      `msg` - the message to generate when a `PrinterException` is thrown